%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:           thunarx-python
Version:        0.5.2
Release:        %mkrel 5
License:        GPLv2+
Summary:        Python Bindings for the Thunar Extension Framework
Url:            https://goodies.xfce.org/projects/bindings/thunarx-python
Group:          Development/Python
Source:         https://archive.xfce.org/src/bindings/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(thunarx-3)
BuildRequires:  python3-devel
Requires:       thunar
Requires:       python3-gobject3
Requires:       typelib(Thunarx)
Obsoletes:      %{name}-doc < 0.4.0

%description
This package provides the Python bindings for the Thunar Extension framework
which allow one to create Python plugins for Thunar.

%prep
%autosetup -p1

%build
export PYTHON=%{__python3}
export PYTHON_LIBS=-lpython%{python3_version}
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/thunarx-3/python/

find %{buildroot} -name "*.la" -delete

install -Dpm644 examples/README %{buildroot}%{_docdir}/%{name}/examples/README

%files
%license COPYING
%doc README ChangeLog AUTHORS
%doc %{_docdir}/%{name}/examples/
%doc %{_datadir}/gtk-doc/html/%{name}/
%dir %{_libdir}/thunarx-3/python/
%{_libdir}/thunarx-3/thunarx-python.so


%changelog
* Thu Jan 04 2024 papoteur <papoteur> 0.5.2-5.mga10
+ Revision: 2027609
- rebuild for python 3.12

* Tue Apr 05 2022 umeabot <umeabot> 0.5.2-4.mga9
+ Revision: 1844793
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.5.2-3.mga9
+ Revision: 1778506
- Rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 0.5.2-2.mga9
+ Revision: 1708859
- rebuild for python 3.9

* Sat Feb 27 2021 wally <wally> 0.5.2-1.mga9
+ Revision: 1692716
- new version 0.5.2

* Tue Jun 09 2020 wally <wally> 0.5.1-7.mga8
+ Revision: 1591489
- add upstream patch to fix build with gcc10

* Tue Jun 09 2020 joequant <joequant> 0.5.1-6.mga8
+ Revision: 1591435
- fix gcc10

* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-5.mga8
+ Revision: 1533960
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 25 2019 daviddavid <daviddavid> 0.5.1-4.mga8
+ Revision: 1445901
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 0.5.1-3.mga7
+ Revision: 1351599
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1301406
- Mageia 7 Mass Rebuild

* Fri Feb 16 2018 wally <wally> 0.5.1-1.mga7
+ Revision: 1201729
- new version 0.5.1
- switch to python3
- ship /usr/lib(64)/thunarx-3/python dir for python extensions

* Mon Dec 04 2017 wally <wally> 0.4.0-1.mga7
+ Revision: 1181188
- new version 0.4.0
- drop docs subpkg

* Mon Feb 08 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 942619
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 738923
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.0-4.mga5
+ Revision: 730620
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 689875
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 542296
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 joequant <joequant> 0.3.0-1.mga4
+ Revision: 497280
- imported package thunarx-python

